version: '3'

services:
  os:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: docker_geumdo
    restart: always
    ports:
      - "2230:22"  # SSH
      - "8091:80"  # apache HTTP
      - "33063:3306" #mysql
      - "4445:443" #apache HTTPS
    network_mode: bridge
    volumes:
      - dbdata_geumdo:/var/lib/mysql
      - dbconfig_geumdo:/etc/mysql
      - apconfig_geumdo:/etc/httpd
      - sourcedata_geumdo:/webFolder
    logging:
      driver: json-file
      options:
        max-size: 10m
        max-file: "3"
volumes:
    dbdata_geumdo:
      external: true
    dbconfig_geumdo:
      external: true 
    apconfig_geumdo:
      external: true
    sourcedata_geumdo:
      external: true
